summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Yth - Arnaud2018-10-03 14:35:50 +0200
committer Willy Sudiarto Raharjo2018-10-06 02:25:18 +0200
commitaff032cb8a8068d1005c5ae2930caa81784bdcdb (patch)
treecbd564eff2215b1aca934ba1716661923a2137c4 /games
parent8da67da718c1871b1f127c9fb300039ee4cfe1b2 (diff)
downloadslackbuilds-aff032cb8a8068d1005c5ae2930caa81784bdcdb.tar.gz
games/endless-sky: Added (2D space trading and combat game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/endless-sky/README7
-rw-r--r--games/endless-sky/doinst.sh9
-rw-r--r--games/endless-sky/endless-sky.SlackBuild98
-rw-r--r--games/endless-sky/endless-sky.info10
-rw-r--r--games/endless-sky/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/games/endless-sky/README b/games/endless-sky/README
new file mode 100644
index 0000000000..62b9cc6371
--- /dev/null
+++ b/games/endless-sky/README
@@ -0,0 +1,7 @@
+Endless Sky is a 2D space trading and combat game similar to the
+classic Escape Velocity series. Explore other star systems. Earn money
+by trading, carrying passengers, or completing missions. Use your
+earnings to buy a better ship or to upgrade the weapons and engines on
+your current one. Blow up pirates. Take sides in a civil war. Or leave
+human space behind and hope to find friendly aliens whose culture is
+more civilized than your own.
diff --git a/games/endless-sky/doinst.sh b/games/endless-sky/doinst.sh
new file mode 100644
index 0000000000..7d4bc766b4
--- /dev/null
+++ b/games/endless-sky/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/endless-sky/endless-sky.SlackBuild b/games/endless-sky/endless-sky.SlackBuild
new file mode 100644
index 0000000000..a750d0cd19
--- /dev/null
+++ b/games/endless-sky/endless-sky.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# SlackBuild script for Endless Sky.
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=endless-sky
+VERSION=${VERSION:-0.9.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="changelog CONTRIBUTING* copyright license* readme* README*"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i -e 's:share/man:man:' SConstruct
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+scons \
+ PREFIX=/usr \
+ mode=release \
+ DESTDIR=$PKG \
+ install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/endless-sky/endless-sky.info b/games/endless-sky/endless-sky.info
new file mode 100644
index 0000000000..5d7983a390
--- /dev/null
+++ b/games/endless-sky/endless-sky.info
@@ -0,0 +1,10 @@
+PRGNAM="endless-sky"
+VERSION="0.9.8"
+HOMEPAGE="http://endless-sky.github.io/"
+DOWNLOAD="https://github.com/endless-sky/endless-sky/archive/v0.9.8/endless-sky-0.9.8.tar.gz"
+MD5SUM="7e5be32a89834d47fca216ab81a1f2ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2 OpenAL"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/games/endless-sky/slack-desc b/games/endless-sky/slack-desc
new file mode 100644
index 0000000000..6baffedd0d
--- /dev/null
+++ b/games/endless-sky/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+endless-sky: endless-sky (2D space trading and combat game)
+endless-sky:
+endless-sky: Endless Sky is a 2D space trading and combat game similar to the
+endless-sky: classic Escape Velocity series. Explore other star systems.
+endless-sky: Earn money by trading, carrying passengers, or completing missions.
+endless-sky: Use your earnings to buy a better ship or to upgrade the weapons
+endless-sky: and engines on your current one. Blow up pirates.
+endless-sky: Take sides in a civil war. Or leave human space behind and hope to
+endless-sky: find friendly aliens whose culture is more civilized than your own.
+endless-sky:
+endless-sky: http://endless-sky.github.io/